%define mod_name podlators
Name:           perl-%{mod_name}
Epoch:          1
Version:        5.01
Release:        2
Summary:        Format POD source into various output formats
License:        (GPL+ or Artistic) and FSFAP
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRA/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(:VERSION) >= 5.10 perl(Pod::Simple) >= 3.26
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(File::Basename) perl(File::Spec) >= 0.8 perl(Pod::Simple) >= 3.26
Conflicts:      perl < 4:5.16.1-234

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Pod::Simple\\)$

%description
podlators contains Pod::Man and Pod::Text modules which convert POD input
to *roff source output, suitable for man pages, or plain text.  It also
includes several subclasses of Pod::Text for formatted output to terminals
with various capabilities.  It is the source package for the Pod::Man and
Pod::Text modules included with Perl.

%package_help

%prep
%autosetup -n %{mod_name}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
unset AUTHOR_TESTING AUTOMATED_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc README THANKS TODO
%{_bindir}/*
%{perl_vendorlib}/*

%files help
%doc Changes 
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Aug 10 2023 xujing <xujing125@huawei.com> - 1:5.01-2
- add and modify requires for 5.01

* Fri Jul 21 2023 xujing <xujing125@huawei.com> - 1:5.01-1
- update version to 5.01

* Tue Oct 25 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 1:4.14-2
- define mod_name to opitomize the specfile

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@huawei.com> - 1:4.14-1
- 4.14 bump

* Thu Sep 26 2019 yefei <yefei25@huawei.com> - 1:4.11-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: repair lost requires

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:4.11-4
- Package Init
